Share video
curl --request POST \
--url https://api.vidbeo.com/v2/services/{service_id}/provider/{service_provider}/upload/{video_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Example",
"description": "Example description",
"tags": [
"example"
],
"privacy": "private",
"allow_comment": false,
"allow_duet": false,
"allow_stitch": false,
"disclose_commercial_content": false,
"promoting_own_business": false,
"promoting_another_business": false,
"caption": "Example",
"page_id": 1234567890
}
'import requests
url = "https://api.vidbeo.com/v2/services/{service_id}/provider/{service_provider}/upload/{video_id}"
payload = {
"title": "Example",
"description": "Example description",
"tags": ["example"],
"privacy": "private",
"allow_comment": False,
"allow_duet": False,
"allow_stitch": False,
"disclose_commercial_content": False,
"promoting_own_business": False,
"promoting_another_business": False,
"caption": "Example",
"page_id": 1234567890
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Example',
description: 'Example description',
tags: ['example'],
privacy: 'private',
allow_comment: false,
allow_duet: false,
allow_stitch: false,
disclose_commercial_content: false,
promoting_own_business: false,
promoting_another_business: false,
caption: 'Example',
page_id: 1234567890
})
};
fetch('https://api.vidbeo.com/v2/services/{service_id}/provider/{service_provider}/upload/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"message": "The upload has been queued."
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Forbidden"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Too many requests"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Internal server error"
}
]
}Services
Share video
Share a video
POST
/
services
/
{service_id}
/
provider
/
{service_provider}
/
upload
/
{video_id}
Share video
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the service
Example:
"abcde12345abcde12345a"
A slug for the service provider
Available options:
youtube, tiktok, facebook, instagram Example:
"youtube"
ID of the video
Example:
"abcde12345abcde12345a"
Body
application/json
Required string length:
1 - 100Example:
"Example"
Maximum string length:
250Example:
"Example description"
Example:
["example"]
Available options:
public, private, unlisted Example:
"private"
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Required string length:
1 - 100Example:
"Example"
Required string length:
1 - 20Example:
1234567890